#ifndef LCD_H
#define LCD_H
//------------------------------------------------------------------------------
#include "LCD_Prototypes.h"
//-----------------------Follow Datasheet instructions--------------------------
void LCD_init()
{
  LCD_command(home);
  LCD_command(function_set);
  LCD_command(display_on);
  LCD_command(auto_increment);
}
//------------------------------------------------------------------------------
void LCD_command(char command)
{
  RS = 0;                         //Instruction register ( commands ).
  LCD_transmit(command & 0xF0);   //Higher Nible
  LCD_transmit(command << 4);     //Lower Nible
}
//------------------------------------------------------------------------------
void LCD_data(char data)
{
  RS = 1;                         //Data register  ( Strings and characters ).
  LCD_transmit(data & 0xF0);    
  LCD_transmit(data << 4);    
}
//------------------------------------------------------------------------------
void LCD_transmit(char data)
{
  data = (data | RS);
  
  //Enable is pulsed to latch the data
  EXPANDER_write(OLATA, (data | EN_high));
  __delay_ms(10);
  EXPANDER_write(OLATA, (data & EN_low));
  __delay_ms(10);
}
//------------------------------------------------------------------------------
void LCD_string(char row, char col, char text[])
{
  LCD_command(rowAddr[row] + col);   //Set Co-Ordinates
  while(*text)
  {
    LCD_data(*text++);
  }
}
//------------------------------------------------------------------------------
void LCD_character(char row, char col, char character)
{
  LCD_command(rowAddr[row] + col);   
  LCD_data(character);
}
//------------------------------------------------------------------------------
#endif