#ifndef EXPANDER_H
#define EXPANDER_H
//------------------------------------------------------------------------------
#include "I2C.h"
#include "MCP23017_Expander_Prototypes.h"
//------------------------------------------------------------------------------
void EXPANDER_init(char portA, char portB)
{
  EXPANDER_write(IODIRA,portA);
  EXPANDER_write(IODIRB,portB);
}
//------------------------------------------------------------------------------
void EXPANDER_write(char portAddr, char data)
{
  while(I2C_busy());          //Wait for previous operations to cease.

  I2C_start();
  I2C_write(WRITE);
  I2C_write(portAddr);
  I2C_write(data);
  I2C_stop();
}
//------------------------------------------------------------------------------
char EXPANDER_read(char portAddr)
{
  while(I2C_busy());

  I2C_start();
  I2C_write(WRITE);
  I2C_write(portAddr);
  I2C_restart();
  I2C_write(READ);
  char data = I2C_read(1);
  I2C_stop();

  return data;
}
//------------------------------------------------------------------------------
#endif